{{ ansible_managed | comment }}
[Unit]
Description=Semaphore Ansible
Documentation=https://docs.ansible-semaphore.com/
Wants=network-online.target
After=network-online.target
ConditionPathExists=/usr/bin/semaphore
ConditionPathExists=/opt/semaphore/config.json
ConditionPathExists={{ semaphore_galaxy_requirements_file }}
Requires=mariadb.service

[Service]
User=semaphore
Group=semaphore
Environment='PATH=/usr/local/bin:/usr/bin:/bin:/opt/semaphore/.local/bin'
ExecStartPre=/bin/bash -c '/opt/semaphore/.local/bin/ansible-galaxy collection install -r /opt/semaphore/requirements.yml'
ExecStart=/usr/bin/semaphore server --config=/opt/semaphore/config.json
ExecReload=/bin/kill -HUP $MAINPID
Restart=always
RestartSec=10s

[Install]
WantedBy=multi-user.target
